Index: uspace/app/hrctl/hrctl.c
===================================================================
--- uspace/app/hrctl/hrctl.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/app/hrctl/hrctl.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -48,6 +48,6 @@
 #define NAME "hrctl"
 
-static void	usage(void);
-static errno_t	fill_config_devs(int, char **, hr_config_t *);
+static void usage(void);
+static errno_t fill_config_devs(int, char **, hr_config_t *);
 static errno_t get_vol_configs_from_sif(const char *, hr_config_t **, size_t *);
 
Index: uspace/lib/device/include/hr.h
===================================================================
--- uspace/lib/device/include/hr.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/lib/device/include/hr.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -48,33 +48,33 @@
 
 typedef enum hr_level {
-	HR_LVL_0	= 0x00, /* striping, no redundancy */
-	HR_LVL_1	= 0x01, /* n-way mirroring */
-	HR_LVL_4	= 0x04, /* dedicated parity */
-	HR_LVL_5	= 0x05, /* distributed parity */
-	HR_LVL_UNKNOWN	= 0xFF
+	HR_LVL_0 = 0x00, /* striping, no redundancy */
+	HR_LVL_1 = 0x01, /* n-way mirroring */
+	HR_LVL_4 = 0x04, /* dedicated parity */
+	HR_LVL_5 = 0x05, /* distributed parity */
+	HR_LVL_UNKNOWN = 0xFF
 } hr_level_t;
 
 typedef enum hr_layout {
-	HR_RLQ_NONE	= 0,
-	HR_RLQ_RAID4_0,		/* RAID-4 Non-Rotating Parity 0 */
-	HR_RLQ_RAID4_N,		/* RAID-4 Non-Rotating Parity N */
-	HR_RLQ_RAID5_0R,	/* RAID-5 Rotating Parity 0 with Data Restart */
-	HR_RLQ_RAID5_NR,	/* RAID-5 Rotating Parity N with Data Restart */
-	HR_RLQ_RAID5_NC 	/* RAID-5 Rotating Parity N with Data Continuation */
+	HR_RLQ_NONE = 0,
+	HR_RLQ_RAID4_0,	/* RAID-4 Non-Rotating Parity 0 */
+	HR_RLQ_RAID4_N,	/* RAID-4 Non-Rotating Parity N */
+	HR_RLQ_RAID5_0R, /* RAID-5 Rotating Parity 0 with Data Restart */
+	HR_RLQ_RAID5_NR, /* RAID-5 Rotating Parity N with Data Restart */
+	HR_RLQ_RAID5_NC  /* RAID-5 Rotating Parity N with Data Continuation */
 } hr_layout_t;
 
 typedef enum hr_vol_state {
-	HR_VOL_NONE = 0,	/* Unknown/None */
-	HR_VOL_ONLINE,		/* optimal */
-	HR_VOL_FAULTY,		/* unusable */
-	HR_VOL_DEGRADED,	/* not optimal */
-	HR_VOL_REBUILD		/* rebuild in progress */
+	HR_VOL_NONE = 0, /* Unknown/None */
+	HR_VOL_ONLINE, /* optimal */
+	HR_VOL_FAULTY, /* unusable */
+	HR_VOL_DEGRADED, /* not optimal */
+	HR_VOL_REBUILD /* rebuild in progress */
 } hr_vol_state_t;
 
 typedef enum hr_ext_state {
-	HR_EXT_NONE = 0,	/* unknown/none state */
-	HR_EXT_INVALID,		/* working but not consistent */
-	HR_EXT_ONLINE,		/* ok */
-	HR_EXT_MISSING,		/* offline */
+	HR_EXT_NONE = 0, /* unknown/none state */
+	HR_EXT_INVALID, /* working but not consistent */
+	HR_EXT_ONLINE, /* ok */
+	HR_EXT_MISSING, /* offline */
 	HR_EXT_FAILED,
 	HR_EXT_REBUILD,
@@ -87,31 +87,31 @@
 
 typedef struct hr_config {
-	char		 devname[HR_DEVNAME_LEN];
-	service_id_t	 devs[HR_MAX_EXTENTS];
-	size_t		 dev_no;
-	hr_level_t	 level;
+	char devname[HR_DEVNAME_LEN];
+	service_id_t devs[HR_MAX_EXTENTS];
+	size_t dev_no;
+	hr_level_t level;
 } hr_config_t;
 
 typedef struct hr_extent {
-	service_id_t	svc_id;
-	hr_ext_state_t	state;
+	service_id_t svc_id;
+	hr_ext_state_t state;
 } hr_extent_t;
 
 typedef struct hr_vol_info {
-	hr_extent_t	 extents[HR_MAX_EXTENTS];
-	hr_extent_t	 hotspares[HR_MAX_HOTSPARES];
-	size_t		 extent_no;
-	size_t		 hotspare_no;
-	service_id_t	 svc_id;
-	hr_level_t	 level;
-	uint64_t	 nblocks;
-	uint32_t	 strip_size;
-	size_t		 bsize;
-	hr_vol_state_t	 state;
-	uint8_t		 layout;
+	hr_extent_t extents[HR_MAX_EXTENTS];
+	hr_extent_t hotspares[HR_MAX_HOTSPARES];
+	size_t extent_no;
+	size_t hotspare_no;
+	service_id_t svc_id;
+	hr_level_t level;
+	uint64_t nblocks;
+	uint32_t strip_size;
+	size_t bsize;
+	hr_vol_state_t state;
+	uint8_t layout;
 } hr_vol_info_t;
 
 typedef enum {
-	HR_METADATA_NATIVE	= 0,
+	HR_METADATA_NATIVE = 0,
 	HR_METADATA_GEOM_MIRROR,
 	HR_METADATA_GEOM_STRIPE,
@@ -120,18 +120,18 @@
 } hr_metadata_type_t;
 
-extern errno_t		 hr_sess_init(hr_t **);
-extern void		 hr_sess_destroy(hr_t *);
-extern errno_t		 hr_create(hr_t *, hr_config_t *);
-extern errno_t		 hr_assemble(hr_t *, hr_config_t *, size_t *);
-extern errno_t		 hr_auto_assemble(hr_t *, size_t *);
-extern errno_t		 hr_stop(hr_t *, const char *);
-extern errno_t		 hr_stop_all(hr_t *);
-extern errno_t		 hr_fail_extent(hr_t *, const char *, unsigned long);
-extern errno_t		 hr_add_hotspare(hr_t *, const char *, const char *);
-extern errno_t		 hr_print_state(hr_t *);
-extern const char	*hr_get_vol_state_str(hr_vol_state_t);
-extern const char	*hr_get_ext_state_str(hr_ext_state_t);
-extern const char	*hr_get_layout_str(hr_layout_t);
-extern const char	*hr_get_metadata_type_str(hr_metadata_type_t);
+extern errno_t hr_sess_init(hr_t **);
+extern void hr_sess_destroy(hr_t *);
+extern errno_t hr_create(hr_t *, hr_config_t *);
+extern errno_t hr_assemble(hr_t *, hr_config_t *, size_t *);
+extern errno_t hr_auto_assemble(hr_t *, size_t *);
+extern errno_t hr_stop(hr_t *, const char *);
+extern errno_t hr_stop_all(hr_t *);
+extern errno_t hr_fail_extent(hr_t *, const char *, unsigned long);
+extern errno_t hr_add_hotspare(hr_t *, const char *, const char *);
+extern errno_t hr_print_state(hr_t *);
+extern const char *hr_get_vol_state_str(hr_vol_state_t);
+extern const char *hr_get_ext_state_str(hr_ext_state_t);
+extern const char *hr_get_layout_str(hr_layout_t);
+extern const char *hr_get_metadata_type_str(hr_metadata_type_t);
 
 #endif
Index: uspace/srv/bd/hr/fge.c
===================================================================
--- uspace/srv/bd/hr/fge.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/fge.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -59,55 +59,55 @@
 typedef struct wu_queue wu_queue_t;
 
-static void	*hr_fpool_make_storage(hr_fpool_t *, ssize_t *);
-static void	 hr_fpool_group_epilogue(hr_fpool_t *);
-static errno_t	 fge_fibril(void *);
-static errno_t	 wu_queue_init(wu_queue_t *, size_t);
-static void	 wu_queue_push(wu_queue_t *, fge_fibril_data_t *);
-static void	 wu_queue_pop(wu_queue_t *, fge_fibril_data_t *);
-static ssize_t	 hr_fpool_get_free_slot(hr_fpool_t *);
+static void *hr_fpool_make_storage(hr_fpool_t *, ssize_t *);
+static void hr_fpool_group_epilogue(hr_fpool_t *);
+static errno_t fge_fibril(void *);
+static errno_t wu_queue_init(wu_queue_t *, size_t);
+static void wu_queue_push(wu_queue_t *, fge_fibril_data_t *);
+static void wu_queue_pop(wu_queue_t *, fge_fibril_data_t *);
+static ssize_t hr_fpool_get_free_slot(hr_fpool_t *);
 
 struct fge_fibril_data {
-	hr_wu_t		 wu;		/* work unit function pointer */
-	void		*arg;		/* work unit function argument */
-	hr_fgroup_t	*group;		/* back-pointer to group */
-	ssize_t		 memslot;	/* index to pool bitmap slot */
+	hr_wu_t wu; /* work unit function pointer */
+	void *arg; /* work unit function argument */
+	hr_fgroup_t *group; /* back-pointer to group */
+	ssize_t memslot; /* index to pool bitmap slot */
 };
 
 struct wu_queue {
-	fibril_mutex_t		 lock;
-	fibril_condvar_t	 not_empty;
-	fibril_condvar_t	 not_full;
-	fge_fibril_data_t	*fexecs;	/* circ-buf memory */
+	fibril_mutex_t lock;
+	fibril_condvar_t not_empty;
+	fibril_condvar_t not_full;
+	fge_fibril_data_t *fexecs; /* circ-buf memory */
 	circ_buf_t cbuf;
 };
 
 struct hr_fpool {
-	fibril_mutex_t	 lock;
-	bitmap_t	 bitmap;	/* memory slot bitmap */
-	wu_queue_t	 queue;
-	fid_t		*fibrils;
-	uint8_t		*wu_storage;	/* pre-allocated pool storage */
-	size_t		 fibril_cnt;
-	size_t		 max_wus;
-	size_t		 active_groups;
-	bool		 stop;
-	size_t		 wu_size;
-	size_t		 wu_storage_free_count;
+	fibril_mutex_t lock;
+	bitmap_t bitmap; /* memory slot bitmap */
+	wu_queue_t queue;
+	fid_t *fibrils;
+	uint8_t *wu_storage; /* pre-allocated pool storage */
+	size_t fibril_cnt;
+	size_t max_wus;
+	size_t active_groups;
+	bool stop;
+	size_t wu_size;
+	size_t wu_storage_free_count;
 	fibril_condvar_t all_wus_done;
 };
 
 struct hr_fgroup {
-	hr_fpool_t	*pool;		/* back-pointer to pool */
-	size_t		 wu_cnt;	/* upper bound of work units */
-	size_t		 submitted;	/* number of submitted jobs */
-	size_t		 reserved_cnt;	/* no. of reserved wu storage slots */
-	size_t		 reserved_avail;
-	size_t		*memslots;	/* indices to pool bitmap */
-	void		*own_mem;	/* own allocated memory */
-	size_t		 own_used;	/* own memory slots used counter */
-	errno_t		 final_errno;	/* agreggated errno */
-	size_t		 finished_okay;	/* no. of wus that ended with EOK */
-	size_t		 finished_fail;	/* no. of wus that ended with != EOK */
-	fibril_mutex_t	 lock;
+	hr_fpool_t *pool;/* back-pointer to pool */
+	size_t wu_cnt;/* upper bound of work units */
+	size_t submitted; /* number of submitted jobs */
+	size_t reserved_cnt; /* no. of reserved wu storage slots */
+	size_t reserved_avail;
+	size_t *memslots; /* indices to pool bitmap */
+	void *own_mem; /* own allocated memory */
+	size_t own_used; /* own memory slots used counter */
+	errno_t final_errno; /* agreggated errno */
+	size_t finished_okay; /* no. of wus that ended with EOK */
+	size_t finished_fail; /* no. of wus that ended with != EOK */
+	fibril_mutex_t lock;
 	fibril_condvar_t all_done;
 };
Index: uspace/srv/bd/hr/fge.h
===================================================================
--- uspace/srv/bd/hr/fge.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/fge.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -48,10 +48,10 @@
 typedef errno_t (*hr_wu_t)(void *);
 
-extern hr_fpool_t	*hr_fpool_create(size_t, size_t, size_t);
-extern void		 hr_fpool_destroy(hr_fpool_t *);
-extern hr_fgroup_t	*hr_fgroup_create(hr_fpool_t *, size_t);
-extern void		*hr_fgroup_alloc(hr_fgroup_t *);
-extern void		 hr_fgroup_submit(hr_fgroup_t *, hr_wu_t, void *);
-extern errno_t		 hr_fgroup_wait(hr_fgroup_t *, size_t *, size_t *);
+extern hr_fpool_t *hr_fpool_create(size_t, size_t, size_t);
+extern void hr_fpool_destroy(hr_fpool_t *);
+extern hr_fgroup_t *hr_fgroup_create(hr_fpool_t *, size_t);
+extern void *hr_fgroup_alloc(hr_fgroup_t *);
+extern void hr_fgroup_submit(hr_fgroup_t *, hr_wu_t, void *);
+extern errno_t hr_fgroup_wait(hr_fgroup_t *, size_t *, size_t *);
 
 #endif
Index: uspace/srv/bd/hr/io.h
===================================================================
--- uspace/srv/bd/hr/io.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/io.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -40,11 +40,11 @@
 
 typedef struct hr_io {
-	hr_bd_op_type_t	 type;
-	uint64_t	 ba;
-	uint64_t	 cnt;
-	size_t		 extent;
-	void		*data_read;
-	const void	*data_write;
-	hr_volume_t	*vol;
+	hr_bd_op_type_t type;
+	uint64_t ba;
+	uint64_t cnt;
+	size_t extent;
+	void *data_read;
+	const void *data_write;
+	hr_volume_t *vol;
 } hr_io_t;
 
Index: uspace/srv/bd/hr/metadata/foreign/geom/hr_g_mirror.c
===================================================================
--- uspace/srv/bd/hr/metadata/foreign/geom/hr_g_mirror.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/metadata/foreign/geom/hr_g_mirror.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -53,43 +53,42 @@
 #include "g_mirror.h"
 
-static void		*meta_gmirror_alloc_struct(void);
-static errno_t		 meta_gmirror_init_vol2meta(const hr_volume_t *, void *);
-static errno_t		 meta_gmirror_init_meta2vol(const list_t *,
-    hr_volume_t *);
-static void		 meta_gmirror_encode(void *, void *);
-static errno_t		 meta_gmirror_decode(const void *, void *);
-static errno_t		 meta_gmirror_get_block(service_id_t, void **);
-static errno_t		 meta_gmirror_write_block(service_id_t, const void *);
-static bool		 meta_gmirror_has_valid_magic(const void *);
-static bool		 meta_gmirror_compare_uuids(const void *, const void *);
-static void		 meta_gmirror_inc_counter(void *);
-static errno_t		 meta_gmirror_save(hr_volume_t *, bool);
-static const char	*meta_gmirror_get_devname(const void *);
-static hr_level_t	 meta_gmirror_get_level(const void *);
-static uint64_t		 meta_gmirror_get_data_offset(void);
-static size_t		 meta_gmirror_get_size(void);
-static uint8_t		 meta_gmirror_get_flags(void);
+static void *meta_gmirror_alloc_struct(void);
+static errno_t meta_gmirror_init_vol2meta(const hr_volume_t *, void *);
+static errno_t meta_gmirror_init_meta2vol(const list_t *, hr_volume_t *);
+static void meta_gmirror_encode(void *, void *);
+static errno_t meta_gmirror_decode(const void *, void *);
+static errno_t meta_gmirror_get_block(service_id_t, void **);
+static errno_t meta_gmirror_write_block(service_id_t, const void *);
+static bool meta_gmirror_has_valid_magic(const void *);
+static bool meta_gmirror_compare_uuids(const void *, const void *);
+static void meta_gmirror_inc_counter(void *);
+static errno_t meta_gmirror_save(hr_volume_t *, bool);
+static const char *meta_gmirror_get_devname(const void *);
+static hr_level_t meta_gmirror_get_level(const void *);
+static uint64_t meta_gmirror_get_data_offset(void);
+static size_t meta_gmirror_get_size(void);
+static uint8_t meta_gmirror_get_flags(void);
 static hr_metadata_type_t meta_gmirror_get_type(void);
-static void		 meta_gmirror_dump(const void *);
+static void meta_gmirror_dump(const void *);
 
 hr_superblock_ops_t metadata_gmirror_ops = {
-	.alloc_struct		= meta_gmirror_alloc_struct,
-	.init_vol2meta		= meta_gmirror_init_vol2meta,
-	.init_meta2vol		= meta_gmirror_init_meta2vol,
-	.encode			= meta_gmirror_encode,
-	.decode			= meta_gmirror_decode,
-	.get_block		= meta_gmirror_get_block,
-	.write_block		= meta_gmirror_write_block,
-	.has_valid_magic	= meta_gmirror_has_valid_magic,
-	.compare_uuids		= meta_gmirror_compare_uuids,
-	.inc_counter		= meta_gmirror_inc_counter,
-	.save			= meta_gmirror_save,
-	.get_devname		= meta_gmirror_get_devname,
-	.get_level		= meta_gmirror_get_level,
-	.get_data_offset	= meta_gmirror_get_data_offset,
-	.get_size		= meta_gmirror_get_size,
-	.get_flags		= meta_gmirror_get_flags,
-	.get_type		= meta_gmirror_get_type,
-	.dump			= meta_gmirror_dump
+	.alloc_struct = meta_gmirror_alloc_struct,
+	.init_vol2meta = meta_gmirror_init_vol2meta,
+	.init_meta2vol = meta_gmirror_init_meta2vol,
+	.encode = meta_gmirror_encode,
+	.decode = meta_gmirror_decode,
+	.get_block = meta_gmirror_get_block,
+	.write_block = meta_gmirror_write_block,
+	.has_valid_magic = meta_gmirror_has_valid_magic,
+	.compare_uuids = meta_gmirror_compare_uuids,
+	.inc_counter = meta_gmirror_inc_counter,
+	.save = meta_gmirror_save,
+	.get_devname = meta_gmirror_get_devname,
+	.get_level = meta_gmirror_get_level,
+	.get_data_offset = meta_gmirror_get_data_offset,
+	.get_size = meta_gmirror_get_size,
+	.get_flags = meta_gmirror_get_flags,
+	.get_type = meta_gmirror_get_type,
+	.dump = meta_gmirror_dump
 };
 
Index: uspace/srv/bd/hr/metadata/foreign/geom/hr_g_stripe.c
===================================================================
--- uspace/srv/bd/hr/metadata/foreign/geom/hr_g_stripe.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/metadata/foreign/geom/hr_g_stripe.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -53,43 +53,42 @@
 #include "g_stripe.h"
 
-static void		*meta_gstripe_alloc_struct(void);
-static errno_t		 meta_gstripe_init_vol2meta(const hr_volume_t *, void *);
-static errno_t		 meta_gstripe_init_meta2vol(const list_t *,
-    hr_volume_t *);
-static void		 meta_gstripe_encode(void *, void *);
-static errno_t		 meta_gstripe_decode(const void *, void *);
-static errno_t		 meta_gstripe_get_block(service_id_t, void **);
-static errno_t		 meta_gstripe_write_block(service_id_t, const void *);
-static bool		 meta_gstripe_has_valid_magic(const void *);
-static bool		 meta_gstripe_compare_uuids(const void *, const void *);
-static void		 meta_gstripe_inc_counter(void *);
-static errno_t		 meta_gstripe_save(hr_volume_t *, bool);
-static const char	*meta_gstripe_get_devname(const void *);
-static hr_level_t	 meta_gstripe_get_level(const void *);
-static uint64_t		 meta_gstripe_get_data_offset(void);
-static size_t		 meta_gstripe_get_size(void);
-static uint8_t		 meta_gstripe_get_flags(void);
-static hr_metadata_type_t	 meta_gstripe_get_type(void);
-static void		 meta_gstripe_dump(const void *);
+static void *meta_gstripe_alloc_struct(void);
+static errno_t meta_gstripe_init_vol2meta(const hr_volume_t *, void *);
+static errno_t meta_gstripe_init_meta2vol(const list_t *, hr_volume_t *);
+static void meta_gstripe_encode(void *, void *);
+static errno_t meta_gstripe_decode(const void *, void *);
+static errno_t meta_gstripe_get_block(service_id_t, void **);
+static errno_t meta_gstripe_write_block(service_id_t, const void *);
+static bool meta_gstripe_has_valid_magic(const void *);
+static bool meta_gstripe_compare_uuids(const void *, const void *);
+static void meta_gstripe_inc_counter(void *);
+static errno_t meta_gstripe_save(hr_volume_t *, bool);
+static const char *meta_gstripe_get_devname(const void *);
+static hr_level_t meta_gstripe_get_level(const void *);
+static uint64_t meta_gstripe_get_data_offset(void);
+static size_t meta_gstripe_get_size(void);
+static uint8_t meta_gstripe_get_flags(void);
+static hr_metadata_type_t meta_gstripe_get_type(void);
+static void meta_gstripe_dump(const void *);
 
 hr_superblock_ops_t metadata_gstripe_ops = {
-	.alloc_struct		= meta_gstripe_alloc_struct,
-	.init_vol2meta		= meta_gstripe_init_vol2meta,
-	.init_meta2vol		= meta_gstripe_init_meta2vol,
-	.encode			= meta_gstripe_encode,
-	.decode			= meta_gstripe_decode,
-	.get_block		= meta_gstripe_get_block,
-	.write_block		= meta_gstripe_write_block,
-	.has_valid_magic	= meta_gstripe_has_valid_magic,
-	.compare_uuids		= meta_gstripe_compare_uuids,
-	.inc_counter		= meta_gstripe_inc_counter,
-	.save			= meta_gstripe_save,
-	.get_devname		= meta_gstripe_get_devname,
-	.get_level		= meta_gstripe_get_level,
-	.get_data_offset	= meta_gstripe_get_data_offset,
-	.get_size		= meta_gstripe_get_size,
-	.get_flags		= meta_gstripe_get_flags,
-	.get_type		= meta_gstripe_get_type,
-	.dump			= meta_gstripe_dump
+	.alloc_struct = meta_gstripe_alloc_struct,
+	.init_vol2meta = meta_gstripe_init_vol2meta,
+	.init_meta2vol = meta_gstripe_init_meta2vol,
+	.encode = meta_gstripe_encode,
+	.decode = meta_gstripe_decode,
+	.get_block = meta_gstripe_get_block,
+	.write_block = meta_gstripe_write_block,
+	.has_valid_magic = meta_gstripe_has_valid_magic,
+	.compare_uuids = meta_gstripe_compare_uuids,
+	.inc_counter = meta_gstripe_inc_counter,
+	.save = meta_gstripe_save,
+	.get_devname = meta_gstripe_get_devname,
+	.get_level = meta_gstripe_get_level,
+	.get_data_offset = meta_gstripe_get_data_offset,
+	.get_size = meta_gstripe_get_size,
+	.get_flags = meta_gstripe_get_flags,
+	.get_type = meta_gstripe_get_type,
+	.dump = meta_gstripe_dump
 };
 
Index: uspace/srv/bd/hr/metadata/foreign/softraid/hr_softraid.c
===================================================================
--- uspace/srv/bd/hr/metadata/foreign/softraid/hr_softraid.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/metadata/foreign/softraid/hr_softraid.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -53,45 +53,42 @@
 #include "softraidvar.h"
 
-static void		*meta_softraid_alloc_struct(void);
-static errno_t		 meta_softraid_init_vol2meta(const hr_volume_t *,
-    void *);
-static errno_t		 meta_softraid_init_meta2vol(const list_t *,
-    hr_volume_t *);
-static void		 meta_softraid_encode(void *, void *);
-static errno_t		 meta_softraid_decode(const void *, void *);
-static errno_t		 meta_softraid_get_block(service_id_t, void **);
-static errno_t		 meta_softraid_write_block(service_id_t, const void *);
-static bool		 meta_softraid_has_valid_magic(const void *);
-static bool		 meta_softraid_compare_uuids(const void *,
-    const void *);
-static void		 meta_softraid_inc_counter(void *);
-static errno_t		 meta_softraid_save(hr_volume_t *, bool);
-static const char	*meta_softraid_get_devname(const void *);
-static hr_level_t	 meta_softraid_get_level(const void *);
-static uint64_t		 meta_softraid_get_data_offset(void);
-static size_t		 meta_softraid_get_size(void);
-static uint8_t		 meta_softraid_get_flags(void);
+static void *meta_softraid_alloc_struct(void);
+static errno_t meta_softraid_init_vol2meta(const hr_volume_t *, void *);
+static errno_t meta_softraid_init_meta2vol(const list_t *, hr_volume_t *);
+static void meta_softraid_encode(void *, void *);
+static errno_t meta_softraid_decode(const void *, void *);
+static errno_t meta_softraid_get_block(service_id_t, void **);
+static errno_t meta_softraid_write_block(service_id_t, const void *);
+static bool meta_softraid_has_valid_magic(const void *);
+static bool meta_softraid_compare_uuids(const void *, const void *);
+static void meta_softraid_inc_counter(void *);
+static errno_t meta_softraid_save(hr_volume_t *, bool);
+static const char *meta_softraid_get_devname(const void *);
+static hr_level_t meta_softraid_get_level(const void *);
+static uint64_t meta_softraid_get_data_offset(void);
+static size_t meta_softraid_get_size(void);
+static uint8_t meta_softraid_get_flags(void);
 static hr_metadata_type_t meta_softraid_get_type(void);
-static void		 meta_softraid_dump(const void *);
+static void meta_softraid_dump(const void *);
 
 hr_superblock_ops_t metadata_softraid_ops = {
-	.alloc_struct		= meta_softraid_alloc_struct,
-	.init_vol2meta		= meta_softraid_init_vol2meta,
-	.init_meta2vol		= meta_softraid_init_meta2vol,
-	.encode			= meta_softraid_encode,
-	.decode			= meta_softraid_decode,
-	.get_block		= meta_softraid_get_block,
-	.write_block		= meta_softraid_write_block,
-	.has_valid_magic	= meta_softraid_has_valid_magic,
-	.compare_uuids		= meta_softraid_compare_uuids,
-	.inc_counter		= meta_softraid_inc_counter,
-	.save			= meta_softraid_save,
-	.get_devname		= meta_softraid_get_devname,
-	.get_level		= meta_softraid_get_level,
-	.get_data_offset	= meta_softraid_get_data_offset,
-	.get_size		= meta_softraid_get_size,
-	.get_flags		= meta_softraid_get_flags,
-	.get_type		= meta_softraid_get_type,
-	.dump			= meta_softraid_dump
+	.alloc_struct = meta_softraid_alloc_struct,
+	.init_vol2meta = meta_softraid_init_vol2meta,
+	.init_meta2vol = meta_softraid_init_meta2vol,
+	.encode = meta_softraid_encode,
+	.decode = meta_softraid_decode,
+	.get_block = meta_softraid_get_block,
+	.write_block = meta_softraid_write_block,
+	.has_valid_magic = meta_softraid_has_valid_magic,
+	.compare_uuids = meta_softraid_compare_uuids,
+	.inc_counter = meta_softraid_inc_counter,
+	.save = meta_softraid_save,
+	.get_devname = meta_softraid_get_devname,
+	.get_level = meta_softraid_get_level,
+	.get_data_offset = meta_softraid_get_data_offset,
+	.get_size = meta_softraid_get_size,
+	.get_flags = meta_softraid_get_flags,
+	.get_type = meta_softraid_get_type,
+	.dump = meta_softraid_dump
 };
 
Index: uspace/srv/bd/hr/metadata/native.c
===================================================================
--- uspace/srv/bd/hr/metadata/native.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/metadata/native.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -53,43 +53,42 @@
 #include "native.h"
 
-static void		*meta_native_alloc_struct(void);
-static errno_t		 meta_native_init_vol2meta(const hr_volume_t *, void *);
-static errno_t		 meta_native_init_meta2vol(const list_t *,
-    hr_volume_t *);
-static void		 meta_native_encode(void *, void *);
-static errno_t		 meta_native_decode(const void *, void *);
-static errno_t		 meta_native_get_block(service_id_t, void **);
-static errno_t		 meta_native_write_block(service_id_t, const void *);
-static bool		 meta_native_has_valid_magic(const void *);
-static bool		 meta_native_compare_uuids(const void *, const void *);
-static void		 meta_native_inc_counter(void *);
-static errno_t		 meta_native_save(hr_volume_t *, bool);
-static const char	*meta_native_get_devname(const void *);
-static hr_level_t	 meta_native_get_level(const void *);
-static uint64_t		 meta_native_get_data_offset(void);
-static size_t		 meta_native_get_size(void);
-static uint8_t		 meta_native_get_flags(void);
+static void *meta_native_alloc_struct(void);
+static errno_t meta_native_init_vol2meta(const hr_volume_t *, void *);
+static errno_t meta_native_init_meta2vol(const list_t *, hr_volume_t *);
+static void meta_native_encode(void *, void *);
+static errno_t meta_native_decode(const void *, void *);
+static errno_t meta_native_get_block(service_id_t, void **);
+static errno_t meta_native_write_block(service_id_t, const void *);
+static bool meta_native_has_valid_magic(const void *);
+static bool meta_native_compare_uuids(const void *, const void *);
+static void meta_native_inc_counter(void *);
+static errno_t meta_native_save(hr_volume_t *, bool);
+static const char *meta_native_get_devname(const void *);
+static hr_level_t meta_native_get_level(const void *);
+static uint64_t meta_native_get_data_offset(void);
+static size_t meta_native_get_size(void);
+static uint8_t meta_native_get_flags(void);
 static hr_metadata_type_t meta_native_get_type(void);
-static void		 meta_native_dump(const void *);
+static void meta_native_dump(const void *);
 
 hr_superblock_ops_t metadata_native_ops = {
-	.alloc_struct		= meta_native_alloc_struct,
-	.init_vol2meta		= meta_native_init_vol2meta,
-	.init_meta2vol		= meta_native_init_meta2vol,
-	.encode			= meta_native_encode,
-	.decode			= meta_native_decode,
-	.get_block		= meta_native_get_block,
-	.write_block		= meta_native_write_block,
-	.has_valid_magic	= meta_native_has_valid_magic,
-	.compare_uuids		= meta_native_compare_uuids,
-	.inc_counter		= meta_native_inc_counter,
-	.save			= meta_native_save,
-	.get_devname		= meta_native_get_devname,
-	.get_level		= meta_native_get_level,
-	.get_data_offset	= meta_native_get_data_offset,
-	.get_size		= meta_native_get_size,
-	.get_flags		= meta_native_get_flags,
-	.get_type		= meta_native_get_type,
-	.dump			= meta_native_dump
+	.alloc_struct = meta_native_alloc_struct,
+	.init_vol2meta = meta_native_init_vol2meta,
+	.init_meta2vol = meta_native_init_meta2vol,
+	.encode = meta_native_encode,
+	.decode = meta_native_decode,
+	.get_block = meta_native_get_block,
+	.write_block = meta_native_write_block,
+	.has_valid_magic = meta_native_has_valid_magic,
+	.compare_uuids = meta_native_compare_uuids,
+	.inc_counter = meta_native_inc_counter,
+	.save = meta_native_save,
+	.get_devname = meta_native_get_devname,
+	.get_level = meta_native_get_level,
+	.get_data_offset = meta_native_get_data_offset,
+	.get_size = meta_native_get_size,
+	.get_flags = meta_native_get_flags,
+	.get_type = meta_native_get_type,
+	.dump = meta_native_dump
 };
 
Index: uspace/srv/bd/hr/metadata/native.h
===================================================================
--- uspace/srv/bd/hr/metadata/native.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/metadata/native.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -42,34 +42,34 @@
  * Metadata is stored on the last block of an extent.
  */
-#define HR_NATIVE_META_SIZE		1	/* in blocks */
-#define HR_NATIVE_DATA_OFF		0
+#define HR_NATIVE_META_SIZE 1 /* in blocks */
+#define HR_NATIVE_DATA_OFF 0
 
-#define HR_NATIVE_MAGIC_STR		"HelenRAID"
-#define HR_NATIVE_MAGIC_SIZE		16
-#define HR_NATIVE_UUID_LEN		16
-#define HR_NATIVE_METADATA_VERSION	1
+#define HR_NATIVE_MAGIC_STR "HelenRAID"
+#define HR_NATIVE_MAGIC_SIZE 16
+#define HR_NATIVE_UUID_LEN 16
+#define HR_NATIVE_METADATA_VERSION 1
 
 struct hr_metadata {
-	char		magic[HR_NATIVE_MAGIC_SIZE];
+	char magic[HR_NATIVE_MAGIC_SIZE];
 
-	uint8_t		uuid[HR_NATIVE_UUID_LEN];
+	uint8_t uuid[HR_NATIVE_UUID_LEN];
 
-	uint64_t	data_blkno;		/* usable blocks */
-	uint64_t	truncated_blkno;	/* size of smallest extent */
+	uint64_t data_blkno; /* usable blocks */
+	uint64_t truncated_blkno; /* size of smallest extent */
 
-	uint64_t	data_offset;
-	uint64_t	counter;
+	uint64_t data_offset;
+	uint64_t counter;
 
-	uint32_t	version;		/* XXX: yet unused */
-	uint32_t	extent_no;
-	uint32_t	index;			/* index of extent in volume */
-	uint32_t	level;
+	uint32_t version; /* XXX: yet unused */
+	uint32_t extent_no;
+	uint32_t index; /* index of extent in volume */
+	uint32_t level;
 
-	uint32_t	layout;
-	uint32_t	strip_size;
+	uint32_t layout;
+	uint32_t strip_size;
 
-	uint32_t	bsize;
+	uint32_t bsize;
 
-	char		devname[HR_DEVNAME_LEN];
+	char devname[HR_DEVNAME_LEN];
 } __attribute__((packed));
 
Index: uspace/srv/bd/hr/raid0.c
===================================================================
--- uspace/srv/bd/hr/raid0.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/raid0.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -53,28 +53,28 @@
 #include "var.h"
 
-static void	hr_raid0_update_vol_state(hr_volume_t *);
-static void	hr_raid0_state_callback(hr_volume_t *, size_t, errno_t);
-static errno_t	hr_raid0_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
+static void hr_raid0_update_vol_state(hr_volume_t *);
+static void hr_raid0_state_callback(hr_volume_t *, size_t, errno_t);
+static errno_t hr_raid0_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
     void *, const void *, size_t);
 
 /* bdops */
-static errno_t	hr_raid0_bd_open(bd_srvs_t *, bd_srv_t *);
-static errno_t 	hr_raid0_bd_close(bd_srv_t *);
-static errno_t 	hr_raid0_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
+static errno_t hr_raid0_bd_open(bd_srvs_t *, bd_srv_t *);
+static errno_t hr_raid0_bd_close(bd_srv_t *);
+static errno_t hr_raid0_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
     size_t);
-static errno_t	hr_raid0_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
-static errno_t	hr_raid0_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
+static errno_t hr_raid0_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
+static errno_t hr_raid0_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
     const void *, size_t);
-static errno_t	hr_raid0_bd_get_block_size(bd_srv_t *, size_t *);
-static errno_t	hr_raid0_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
+static errno_t hr_raid0_bd_get_block_size(bd_srv_t *, size_t *);
+static errno_t hr_raid0_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
 
 static bd_ops_t hr_raid0_bd_ops = {
-	.open		= hr_raid0_bd_open,
-	.close		= hr_raid0_bd_close,
-	.sync_cache	= hr_raid0_bd_sync_cache,
-	.read_blocks	= hr_raid0_bd_read_blocks,
-	.write_blocks	= hr_raid0_bd_write_blocks,
-	.get_block_size	= hr_raid0_bd_get_block_size,
-	.get_num_blocks	= hr_raid0_bd_get_num_blocks
+	.open = hr_raid0_bd_open,
+	.close = hr_raid0_bd_close,
+	.sync_cache = hr_raid0_bd_sync_cache,
+	.read_blocks = hr_raid0_bd_read_blocks,
+	.write_blocks = hr_raid0_bd_write_blocks,
+	.get_block_size = hr_raid0_bd_get_block_size,
+	.get_num_blocks = hr_raid0_bd_get_num_blocks
 };
 
Index: uspace/srv/bd/hr/raid1.c
===================================================================
--- uspace/srv/bd/hr/raid1.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/raid1.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -56,35 +56,35 @@
 #include "var.h"
 
-static void	hr_raid1_update_vol_state(hr_volume_t *);
-static void	hr_raid1_ext_state_callback(hr_volume_t *, size_t, errno_t);
-static size_t	hr_raid1_count_good_extents(hr_volume_t *, uint64_t, size_t,
+static void hr_raid1_update_vol_state(hr_volume_t *);
+static void hr_raid1_ext_state_callback(hr_volume_t *, size_t, errno_t);
+static size_t hr_raid1_count_good_extents(hr_volume_t *, uint64_t, size_t,
     uint64_t);
-static errno_t	hr_raid1_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
+static errno_t hr_raid1_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
     void *, const void *, size_t);
-static errno_t	hr_raid1_rebuild(void *);
-static errno_t	init_rebuild(hr_volume_t *, size_t *);
-static errno_t	swap_hs(hr_volume_t *, size_t, size_t);
-static errno_t	hr_raid1_restore_blocks(hr_volume_t *, size_t, uint64_t, size_t,
+static errno_t hr_raid1_rebuild(void *);
+static errno_t init_rebuild(hr_volume_t *, size_t *);
+static errno_t swap_hs(hr_volume_t *, size_t, size_t);
+static errno_t hr_raid1_restore_blocks(hr_volume_t *, size_t, uint64_t, size_t,
     void *);
 
 /* bdops */
-static errno_t	hr_raid1_bd_open(bd_srvs_t *, bd_srv_t *);
-static errno_t	hr_raid1_bd_close(bd_srv_t *);
-static errno_t	hr_raid1_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
+static errno_t hr_raid1_bd_open(bd_srvs_t *, bd_srv_t *);
+static errno_t hr_raid1_bd_close(bd_srv_t *);
+static errno_t hr_raid1_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
     size_t);
-static errno_t	hr_raid1_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
-static errno_t	hr_raid1_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
+static errno_t hr_raid1_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
+static errno_t hr_raid1_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
     const void *, size_t);
-static errno_t	hr_raid1_bd_get_block_size(bd_srv_t *, size_t *);
-static errno_t	hr_raid1_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
+static errno_t hr_raid1_bd_get_block_size(bd_srv_t *, size_t *);
+static errno_t hr_raid1_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
 
 static bd_ops_t hr_raid1_bd_ops = {
-	.open		= hr_raid1_bd_open,
-	.close		= hr_raid1_bd_close,
-	.sync_cache	= hr_raid1_bd_sync_cache,
-	.read_blocks	= hr_raid1_bd_read_blocks,
-	.write_blocks	= hr_raid1_bd_write_blocks,
-	.get_block_size	= hr_raid1_bd_get_block_size,
-	.get_num_blocks	= hr_raid1_bd_get_num_blocks
+	.open = hr_raid1_bd_open,
+	.close = hr_raid1_bd_close,
+	.sync_cache = hr_raid1_bd_sync_cache,
+	.read_blocks = hr_raid1_bd_read_blocks,
+	.write_blocks = hr_raid1_bd_write_blocks,
+	.get_block_size = hr_raid1_bd_get_block_size,
+	.get_num_blocks = hr_raid1_bd_get_num_blocks
 };
 
Index: uspace/srv/bd/hr/raid5.c
===================================================================
--- uspace/srv/bd/hr/raid5.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/raid5.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -54,38 +54,39 @@
 #include "var.h"
 
-static errno_t	hr_raid5_vol_usable(hr_volume_t *);
-static ssize_t	hr_raid5_get_bad_ext(hr_volume_t *);
-static errno_t	hr_raid5_update_vol_state(hr_volume_t *);
-static void	hr_raid5_handle_extent_error(hr_volume_t *, size_t, errno_t);
-static void	xor(void *, const void *, size_t);
-static errno_t	hr_raid5_read_degraded(hr_volume_t *, uint64_t, uint64_t,
+static errno_t hr_raid5_vol_usable(hr_volume_t *);
+static ssize_t hr_raid5_get_bad_ext(hr_volume_t *);
+static errno_t hr_raid5_update_vol_state(hr_volume_t *);
+static void hr_raid5_handle_extent_error(hr_volume_t *, size_t, errno_t);
+static void xor(void *, const void *, size_t);
+
+static errno_t hr_raid5_read_degraded(hr_volume_t *, uint64_t, uint64_t,
     void *, size_t);
-static errno_t	hr_raid5_write(hr_volume_t *, uint64_t, uint64_t, aoff64_t,
+static errno_t hr_raid5_write(hr_volume_t *, uint64_t, uint64_t, aoff64_t,
     const void *, size_t);
-static errno_t	hr_raid5_write_parity(hr_volume_t *, uint64_t, uint64_t,
+static errno_t hr_raid5_write_parity(hr_volume_t *, uint64_t, uint64_t,
     uint64_t, const void *, size_t);
-static errno_t	hr_raid5_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
+static errno_t hr_raid5_bd_op(hr_bd_op_type_t, bd_srv_t *, aoff64_t, size_t,
     void *, const void *, size_t);
-static errno_t	hr_raid5_rebuild(void *);
+static errno_t hr_raid5_rebuild(void *);
 
 /* bdops */
-static errno_t	hr_raid5_bd_open(bd_srvs_t *, bd_srv_t *);
-static errno_t	hr_raid5_bd_close(bd_srv_t *);
-static errno_t	hr_raid5_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
+static errno_t hr_raid5_bd_open(bd_srvs_t *, bd_srv_t *);
+static errno_t hr_raid5_bd_close(bd_srv_t *);
+static errno_t hr_raid5_bd_read_blocks(bd_srv_t *, aoff64_t, size_t, void *,
     size_t);
-static errno_t	hr_raid5_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
-static errno_t	hr_raid5_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
+static errno_t hr_raid5_bd_sync_cache(bd_srv_t *, aoff64_t, size_t);
+static errno_t hr_raid5_bd_write_blocks(bd_srv_t *, aoff64_t, size_t,
     const void *, size_t);
-static errno_t	hr_raid5_bd_get_block_size(bd_srv_t *, size_t *);
-static errno_t	hr_raid5_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
+static errno_t hr_raid5_bd_get_block_size(bd_srv_t *, size_t *);
+static errno_t hr_raid5_bd_get_num_blocks(bd_srv_t *, aoff64_t *);
 
 static bd_ops_t hr_raid5_bd_ops = {
-	.open		= hr_raid5_bd_open,
-	.close		= hr_raid5_bd_close,
-	.sync_cache	= hr_raid5_bd_sync_cache,
-	.read_blocks	= hr_raid5_bd_read_blocks,
-	.write_blocks	= hr_raid5_bd_write_blocks,
-	.get_block_size	= hr_raid5_bd_get_block_size,
-	.get_num_blocks	= hr_raid5_bd_get_num_blocks
+	.open = hr_raid5_bd_open,
+	.close = hr_raid5_bd_close,
+	.sync_cache = hr_raid5_bd_sync_cache,
+	.read_blocks = hr_raid5_bd_read_blocks,
+	.write_blocks = hr_raid5_bd_write_blocks,
+	.get_block_size = hr_raid5_bd_get_block_size,
+	.get_num_blocks = hr_raid5_bd_get_num_blocks
 };
 
Index: uspace/srv/bd/hr/superblock.h
===================================================================
--- uspace/srv/bd/hr/superblock.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/superblock.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -44,26 +44,26 @@
 
 typedef struct hr_superblock_ops {
-	void		*(*alloc_struct)(void);
-	errno_t		 (*init_vol2meta)(const hr_volume_t *, void *);
-	errno_t		 (*init_meta2vol)(const list_t *, hr_volume_t *);
-	void		 (*encode)(void *, void *);
-	errno_t		 (*decode)(const void *, void *);
-	errno_t		 (*get_block)(service_id_t, void **);
-	errno_t		 (*write_block)(service_id_t, const void *);
-	bool		 (*has_valid_magic)(const void *);
-	bool		 (*compare_uuids)(const void *, const void *);
-	void		 (*inc_counter)(void *);
-	errno_t		 (*save)(hr_volume_t *, bool);
-	const char	*(*get_devname)(const void *);
-	hr_level_t	 (*get_level)(const void *);
-	uint64_t	 (*get_data_offset)(void);
-	size_t		 (*get_size)(void);
-	uint8_t		 (*get_flags)(void);
-	void		 (*dump)(const void *);
+	void *(*alloc_struct)(void);
+	errno_t (*init_vol2meta)(const hr_volume_t *, void *);
+	errno_t (*init_meta2vol)(const list_t *, hr_volume_t *);
+	void (*encode)(void *, void *);
+	errno_t (*decode)(const void *, void *);
+	errno_t (*get_block)(service_id_t, void **);
+	errno_t (*write_block)(service_id_t, const void *);
+	bool (*has_valid_magic)(const void *);
+	bool (*compare_uuids)(const void *, const void *);
+	void (*inc_counter)(void *);
+	errno_t (*save)(hr_volume_t *, bool);
+	const char *(*get_devname)(const void *);
+	hr_level_t (*get_level)(const void *);
+	uint64_t (*get_data_offset)(void);
+	size_t (*get_size)(void);
+	uint8_t (*get_flags)(void);
+	void (*dump)(const void *);
 	hr_metadata_type_t (*get_type)(void);
 } hr_superblock_ops_t;
 
 extern hr_superblock_ops_t *get_type_ops(hr_metadata_type_t);
-extern errno_t	find_metadata(service_id_t, void **, hr_metadata_type_t *);
+extern errno_t find_metadata(service_id_t, void **, hr_metadata_type_t *);
 
 #endif
Index: uspace/srv/bd/hr/util.c
===================================================================
--- uspace/srv/bd/hr/util.c	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/util.c	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -55,16 +55,16 @@
 #include "var.h"
 
-static bool	hr_range_lock_overlap(hr_range_lock_t *, hr_range_lock_t *);
-static errno_t	hr_add_svc_linked_to_list(list_t *, service_id_t, bool,
-    void *);
-static void	free_dev_list_member(struct dev_list_member *);
-static void	free_svc_id_list(list_t *);
-static errno_t	hr_fill_disk_part_svcs_list(list_t *);
-static errno_t	block_init_dev_list(list_t *);
-static void	block_fini_dev_list(list_t *);
-static errno_t	hr_util_get_matching_md_svcs_list(list_t *, list_t *,
+static bool hr_range_lock_overlap(hr_range_lock_t *, hr_range_lock_t *);
+static errno_t hr_add_svc_linked_to_list(list_t *, service_id_t, bool, void *);
+static void free_dev_list_member(struct dev_list_member *);
+static void free_svc_id_list(list_t *);
+static errno_t hr_fill_disk_part_svcs_list(list_t *);
+static errno_t block_init_dev_list(list_t *);
+static void block_fini_dev_list(list_t *);
+static errno_t hr_util_get_matching_md_svcs_list(list_t *, list_t *,
     service_id_t, hr_metadata_type_t, void *);
-static errno_t	hr_util_assemble_from_matching_list(list_t *, hr_metadata_type_t);
-static errno_t	hr_fill_svcs_list_from_cfg(hr_config_t *, list_t *);
+static errno_t hr_util_assemble_from_matching_list(list_t *,
+    hr_metadata_type_t);
+static errno_t hr_fill_svcs_list_from_cfg(hr_config_t *, list_t *);
 
 #define HR_RL_LIST_LOCK(vol) (fibril_mutex_lock(&(vol)->range_lock_list_lock))
Index: uspace/srv/bd/hr/util.h
===================================================================
--- uspace/srv/bd/hr/util.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/util.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -46,10 +46,10 @@
 
 struct dev_list_member {
-	link_t		 link;
-	service_id_t	 svc_id;
-	void		*md;
-	bool		 inited;
-	bool		 md_present;
-	bool		 fini;
+	link_t link;
+	service_id_t svc_id;
+	void *md;
+	bool inited;
+	bool md_present;
+	bool fini;
 };
 
@@ -66,33 +66,28 @@
     log_msg(LOG_DEFAULT, LVL_ERROR, format, ##__VA_ARGS__)
 
-
-extern errno_t		 hr_create_vol_struct(hr_volume_t **, hr_level_t,
-    const char *, hr_metadata_type_t);
-extern void		 hr_destroy_vol_struct(hr_volume_t *);
-extern errno_t		 hr_get_volume_svcs(size_t *, service_id_t **);
-extern hr_volume_t	*hr_get_volume(service_id_t);
-extern errno_t		 hr_remove_volume(service_id_t);
-extern errno_t		 hr_init_extents_from_cfg(hr_volume_t *, hr_config_t *);
-extern void		 hr_fini_devs(hr_volume_t *);
-extern errno_t		 hr_register_volume(hr_volume_t *);
-extern errno_t		 hr_check_ba_range(hr_volume_t *, size_t, uint64_t);
-extern void		 hr_add_ba_offset(hr_volume_t *, uint64_t *);
-extern void		 hr_update_ext_state(hr_volume_t *, size_t,
-    hr_ext_state_t);
-extern void		 hr_update_hotspare_state(hr_volume_t *, size_t,
-    hr_ext_state_t);
-extern void		 hr_update_vol_state(hr_volume_t *, hr_vol_state_t);
-extern void		 hr_update_ext_svc_id(hr_volume_t *, size_t,
-    service_id_t);
-extern void		 hr_update_hotspare_svc_id(hr_volume_t *, size_t,
-    service_id_t);
-extern void		 hr_sync_all_extents(hr_volume_t *);
-extern size_t		 hr_count_extents(hr_volume_t *, hr_ext_state_t);
-extern void		 hr_mark_vol_state_dirty(hr_volume_t *);
-extern void		 hr_range_lock_release(hr_range_lock_t *);
-extern hr_range_lock_t	*hr_range_lock_acquire(hr_volume_t *, uint64_t,
+extern errno_t hr_create_vol_struct(hr_volume_t **, hr_level_t, const char *,
+    hr_metadata_type_t);
+extern void hr_destroy_vol_struct(hr_volume_t *);
+extern errno_t hr_get_volume_svcs(size_t *, service_id_t **);
+extern hr_volume_t *hr_get_volume(service_id_t);
+extern errno_t hr_remove_volume(service_id_t);
+extern errno_t hr_init_extents_from_cfg(hr_volume_t *, hr_config_t *);
+extern void hr_fini_devs(hr_volume_t *);
+extern errno_t hr_register_volume(hr_volume_t *);
+extern errno_t hr_check_ba_range(hr_volume_t *, size_t, uint64_t);
+extern void hr_add_ba_offset(hr_volume_t *, uint64_t *);
+extern void hr_update_ext_state(hr_volume_t *, size_t, hr_ext_state_t);
+extern void hr_update_hotspare_state(hr_volume_t *, size_t, hr_ext_state_t);
+extern void hr_update_vol_state(hr_volume_t *, hr_vol_state_t);
+extern void hr_update_ext_svc_id(hr_volume_t *, size_t, service_id_t);
+extern void hr_update_hotspare_svc_id(hr_volume_t *, size_t, service_id_t);
+extern void hr_sync_all_extents(hr_volume_t *);
+extern size_t hr_count_extents(hr_volume_t *, hr_ext_state_t);
+extern void hr_mark_vol_state_dirty(hr_volume_t *);
+extern void hr_range_lock_release(hr_range_lock_t *);
+extern hr_range_lock_t *hr_range_lock_acquire(hr_volume_t *, uint64_t,
     uint64_t);
-extern errno_t		 hr_util_try_assemble(hr_config_t *, size_t *);
-extern errno_t		 hr_util_add_hotspare(hr_volume_t *, service_id_t);
+extern errno_t hr_util_try_assemble(hr_config_t *, size_t *);
+extern errno_t hr_util_add_hotspare(hr_volume_t *, service_id_t);
 
 #endif
Index: uspace/srv/bd/hr/var.h
===================================================================
--- uspace/srv/bd/hr/var.h	(revision a2281efcbc37a47301c66085d8dbb707e71b2171)
+++ uspace/srv/bd/hr/var.h	(revision 6f132576633ab217899555a6ecd65a172fab6f54)
@@ -47,6 +47,6 @@
 #include "superblock.h"
 
-#define NAME		"hr"
-#define HR_STRIP_SIZE	DATA_XFER_LIMIT
+#define NAME "hr"
+#define HR_STRIP_SIZE DATA_XFER_LIMIT
 
 struct hr_volume;
@@ -56,53 +56,53 @@
 
 typedef struct hr_ops {
-	errno_t		(*create)(hr_volume_t *);
-	errno_t		(*init)(hr_volume_t *);
-	void		(*state_event)(hr_volume_t *);
-	errno_t		(*add_hotspare)(hr_volume_t *, service_id_t);
+	errno_t (*create)(hr_volume_t *);
+	errno_t (*init)(hr_volume_t *);
+	void (*state_event)(hr_volume_t *);
+	errno_t (*add_hotspare)(hr_volume_t *, service_id_t);
 } hr_ops_t;
 
 typedef struct hr_volume {
-	link_t		 lvolumes;		/* link to all volumes list */
-	hr_ops_t	 hr_ops;		/* level init and create fcns */
-	bd_srvs_t	 hr_bds;		/* block interface to the vol */
-	service_id_t	 svc_id;		/* service id */
+	link_t lvolumes; /* link to all volumes list */
+	hr_ops_t hr_ops; /* level init and create fcns */
+	bd_srvs_t hr_bds; /* block interface to the vol */
+	service_id_t svc_id; /* service id */
 
-	fibril_mutex_t	 lock;			/* XXX: gone after para */
-	list_t		 range_lock_list;	/* list of range locks */
-	fibril_mutex_t	 range_lock_list_lock;	/* range locks list lock */
-	hr_fpool_t	*fge;			/* fibril pool */
+	fibril_mutex_t lock; /* XXX: gone after para */
+	list_t range_lock_list; /* list of range locks */
+	fibril_mutex_t range_lock_list_lock; /* range locks list lock */
+	hr_fpool_t *fge; /* fibril pool */
 
-	void		*in_mem_md;
-	fibril_mutex_t	 md_lock;		/* lock protecting in_mem_md */
+	void *in_mem_md;
+	fibril_mutex_t md_lock; /* lock protecting in_mem_md */
 
 	hr_superblock_ops_t *meta_ops;
 
 	/* invariants */
-	size_t		 extent_no;		/* number of extents */
-	size_t		 bsize;			/* block size */
-	uint64_t	 truncated_blkno;	/* blkno per extent */
-	uint64_t	 data_blkno;		/* no. of user usable blocks */
-	uint64_t	 data_offset;		/* user data offset in blocks */
-	uint32_t	 strip_size;		/* strip size */
-	hr_level_t	 level;			/* volume level */
-	hr_layout_t	 layout;		/* RAID Level Qualifier */
-	char		 devname[HR_DEVNAME_LEN];
+	size_t extent_no; /* number of extents */
+	size_t bsize; /* block size */
+	uint64_t truncated_blkno; /* blkno per extent */
+	uint64_t data_blkno; /* no. of user usable blocks */
+	uint64_t data_offset; /* user data offset in blocks */
+	uint32_t strip_size; /* strip size */
+	hr_level_t level; /* volume level */
+	hr_layout_t layout; /* RAID Level Qualifier */
+	char devname[HR_DEVNAME_LEN];
 
-	hr_extent_t	 extents[HR_MAX_EXTENTS];
-	fibril_rwlock_t	 extents_lock;		/* extent service id lock */
+	hr_extent_t extents[HR_MAX_EXTENTS];
+	fibril_rwlock_t extents_lock; /* extent service id lock */
 
-	size_t		 hotspare_no;		/* no. of available hotspares */
-	hr_extent_t	 hotspares[HR_MAX_HOTSPARES];
-	fibril_mutex_t	 hotspare_lock;		/* lock protecting hotspares */
+	size_t hotspare_no; /* no. of available hotspares */
+	hr_extent_t hotspares[HR_MAX_HOTSPARES];
+	fibril_mutex_t hotspare_lock; /* lock protecting hotspares */
 
-	fibril_rwlock_t	 states_lock;		/* states lock */
+	fibril_rwlock_t states_lock; /* states lock */
 
-	_Atomic bool	 state_dirty;		/* dirty state */
+	_Atomic bool state_dirty; /* dirty state */
 
 	/* XXX: atomic_uint_least64_t? */
-	_Atomic uint64_t rebuild_blk;		/* rebuild position */
-	_Atomic int	 open_cnt;		/* open/close() counter */
-	hr_vol_state_t	 state;			/* volume state */
-	void		 (*state_callback)(hr_volume_t *, size_t, errno_t);
+	_Atomic uint64_t rebuild_blk; /* rebuild position */
+	_Atomic int open_cnt; /* open/close() counter */
+	hr_vol_state_t state; /* volume state */
+	void (*state_callback)(hr_volume_t *, size_t, errno_t);
 } hr_volume_t;
 
@@ -118,28 +118,28 @@
 
 typedef struct hr_range_lock {
-	link_t		 link;
-	fibril_mutex_t	 lock;
-	hr_volume_t	*vol;		/* back-pointer to volume */
-	uint64_t	 off;		/* start of the range */
-	uint64_t	 len;		/* length of the range */
+	link_t link;
+	fibril_mutex_t lock;
+	hr_volume_t *vol; /* back-pointer to volume */
+	uint64_t off; /* start of the range */
+	uint64_t len; /* length of the range */
 
-	size_t		 pending;	/* prot. by vol->range_lock_list_lock */
-	bool		 ignore;	/* prot. by vol->range_lock_list_lock */
+	size_t pending; /* prot. by vol->range_lock_list_lock */
+	bool ignore; /* prot. by vol->range_lock_list_lock */
 } hr_range_lock_t;
 
-extern errno_t		hr_raid0_create(hr_volume_t *);
-extern errno_t 		hr_raid1_create(hr_volume_t *);
-extern errno_t 		hr_raid5_create(hr_volume_t *);
+extern errno_t hr_raid0_create(hr_volume_t *);
+extern errno_t hr_raid1_create(hr_volume_t *);
+extern errno_t hr_raid5_create(hr_volume_t *);
 
-extern errno_t		hr_raid0_init(hr_volume_t *);
-extern errno_t 		hr_raid1_init(hr_volume_t *);
-extern errno_t 		hr_raid5_init(hr_volume_t *);
+extern errno_t hr_raid0_init(hr_volume_t *);
+extern errno_t hr_raid1_init(hr_volume_t *);
+extern errno_t hr_raid5_init(hr_volume_t *);
 
-extern void		hr_raid0_state_event(hr_volume_t *);
-extern void		hr_raid1_state_event(hr_volume_t *);
-extern void		hr_raid5_state_event(hr_volume_t *);
+extern void hr_raid0_state_event(hr_volume_t *);
+extern void hr_raid1_state_event(hr_volume_t *);
+extern void hr_raid5_state_event(hr_volume_t *);
 
-extern errno_t		hr_raid1_add_hotspare(hr_volume_t *, service_id_t);
-extern errno_t		hr_raid5_add_hotspare(hr_volume_t *, service_id_t);
+extern errno_t hr_raid1_add_hotspare(hr_volume_t *, service_id_t);
+extern errno_t hr_raid5_add_hotspare(hr_volume_t *, service_id_t);
 
 #endif
